View Issue Details

IDProjectCategoryView StatusLast Update
0001882Common[All Projects] Generalpublic2016-12-16 19:19
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.4 
Target VersionFixed in Version3.2.5 
Summary0001882: Généraliser les handlers
DescriptionCar 9 fois sur 10, ou bien c'est un handler retournant un jeu de résultats fixe (ou presque), ou bien c'est un handler appelant une procédure sans paramètre, ou bien c'est un handler appelant une procédure avec des paramètres issus de la requête HTTP.

Donc, c'est certainement généralisable pour ne plus avoir besoin de faire 1 classe dédiée à chaque fois.
TagsNo tags attached.
Attach Tags

Activities

Xenos

Xenos

2016-12-12 18:27

administrator   ~0002780

Tous ne sont pas généralisables (et n'ont pas vocation à l'être), mais j'en ai centralisé certains (principalement: PDO Procedure sans paramètre [courant pour les vues spectateur génériques] et PDO procédure avec le paramètre 'id' [très courant pour voir un élément de jeu])

Issue History

Date Modified Username Field Change
2016-11-13 10:45 Xenos New Issue
2016-11-13 10:45 Xenos Status New => Accepted
2016-12-12 10:57 Xenos Assigned To => Xenos
2016-12-12 10:57 Xenos Status Accepted => In progress
2016-12-12 18:27 Xenos Status In progress => Ready
2016-12-12 18:27 Xenos Resolution open => fixed
2016-12-12 18:27 Xenos Note Added: 0002780
2016-12-16 00:39 AutoUpdater Status Ready => Resolved
2016-12-16 00:39 AutoUpdater Fixed in Version => 3.2.5
2016-12-16 19:19 Xenos Status Resolved => Close